---
title: HTMLFormElement.submit()
slug: Web/API/HTMLFormElement/submit
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFormElement.submit()</code></strong> method submits a given {{HtmlElement("form")}}.</p>

<p>This method is similar, but not identical to, activating a form's submit {{HtmlElement("button")}}. When invoking this method directly, however:</p>

<ul>
 <li>No {{event("submit")}} event is raised. In particular, the form's {{domxref("GlobalEventHandlers.onsubmit", "onsubmit")}} event handler is not run.</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">Constraint validation</a> is not triggered.</li>
</ul>

<p>The {{domxref("HTMLFormElement.requestSubmit()")}} method is identical to activating a form's submit {{HtmlElement("button")}} and does not have these differences.</p>

<p>If a form control (such as a submit button) has a <code>name</code> or <code>id</code> of <code>submit</code>, this method will mask the form's submit method.</p>

<p>{{HtmlElement("input")}} with attribute type="submit" will not be submitted with the form when using <strong><code>HTMLFormElement.submit()</code></strong>, but it would be submitted when you do it with original HTML form submit.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLFormElement</em>.submit()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.forms["myform"].submit();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-form-submit', 'HTMLFormElement: submit')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.submit")}}</p>
